--- clipnotify.original.c	2022-11-04 11:49:22.000000000 +0100
+++ clipnotify.patched.c	2022-11-04 14:17:32.507978159 +0100
@@ -3,8 +3,9 @@
 #include <X11/extensions/Xfixes.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 
-int main(void) {
+int main(int argc, char *argv[]) {
     Display *disp;
     Window root;
     Atom clip;
@@ -19,8 +20,11 @@
     root = DefaultRootWindow(disp);
 
     clip = XInternAtom(disp, "CLIPBOARD", False);
-
-    XFixesSelectSelectionInput(disp, root, XA_PRIMARY, XFixesSetSelectionOwnerNotifyMask);
+    if ((argc > 1) && (!strcmp(argv[1], "-ce"))) {
+        XFixesSelectSelectionInput(disp, root, XA_SECONDARY, XFixesSetSelectionOwnerNotifyMask);
+    } else {
+        XFixesSelectSelectionInput(disp, root, XA_PRIMARY, XFixesSetSelectionOwnerNotifyMask);
+    }
     XFixesSelectSelectionInput(disp, root, clip, XFixesSetSelectionOwnerNotifyMask);
 
     XNextEvent(disp, &evt);
